// swift-tools-version: 6.0
// The swift-tools-version declares the minimum version of Swift required to build this package.

import PackageDescription

var packageDependencies: [Package.Dependency] = [
    .package(url: "https://github.com/nerzh/swift-telegram-sdk", .upToNextMajor(from: "3.0.3")),
    .package(url: "https://github.com/vapor/vapor.git", .upToNextMajor(from: "4.57.0")),
    .package(url: "https://github.com/apple/swift-crypto.git", .upToNextMajor(from: "3.0.0")),
    .package(url: "https://github.com/groue/GRDB.swift.git", .upToNextMajor(from: "6.0.0"))
]

var targetDependencies: [PackageDescription.Target.Dependency] = [
    .product(name: "Vapor", package: "vapor"),
    .product(name: "SwiftTelegramSdk", package: "swift-telegram-sdk"),
    .product(name: "Crypto", package: "swift-crypto"),
    .product(name: "GRDB", package: "GRDB.swift")
]

let package = Package(
    name: "TelegramModeratorBot",
    dependencies: packageDependencies,
    targets: [
        // Targets are the basic building blocks of a package, defining a module or a test suite.
        // Targets can depend on other targets in this package and products from dependencies.
        .executableTarget(
            name: "TelegramModeratorBot",
            dependencies: targetDependencies
            )
    ]
)
